## healpix-fortran 3.60%2Bds

=== debian/changelog ===
healpix-fortran (3.60+ds-1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:24:01 +0000

healpix-fortran (3.60+ds-1build3) noble; urgency=high

  * No change rebuild against libcfitsio10t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:25:14 +0100

healpix-fortran (3.60+ds-1build2) lunar; urgency=medium

  * No-change rebuild against libcfitsio10

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 24 Jan 2023 05:15:39 +0000

healpix-fortran (3.60+ds-1build1) groovy; urgency=medium

  * No change rebuild against new cfitsio ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 27 Aug 2020 23:45:23 +0100

healpix-fortran (3.60+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #963092)

 -- Leo Singer <leo.singer@ligo.org>  Fri, 19 Jun 2020 16:21:09 -0400

## healpix-fortran 3.60+ds

=== src/f90/alteralm/Makefile ===
# -*- Makefile -*-

fac 	= alteralm
inc	= alt_sub_inc.f90
VPATH	= $(BINDIR)
exec	= $(BINDIR)/$(fac)
#src	= $(fac).f90
obj 	= $(fac).o

MKDIR   = mkdir -p
OD :=$(BUILDDIR)/$(fac)
SD :=$(shell pwd)
OBJ:=$(obj:%=$(OD)/%)
LIB:=$(LIBDIR)/libhealpix$(LIBSUFFIX)


%_mkdir:
	@if [ ! -d $* ]; then $(MKDIR) $* ; fi 


$(OD)/%.o: $(SD)/%.f90 $(inc) $(OD)_mkdir
	$(FC) $(FFLAGS) -c $< -o $@ $(MODDIR)$(OD)

default:  $(exec) 

$(exec): $(OBJ) $(LIB)
	$(FC) $(FFLAGS) -o $(exec) $(OBJ) $(LDFLAGS)

=== src/f90/anafast/Makefile ===
# -*- Makefile -*-

fac     = anafast
inc     = ana_sub_inc.f90
VPATH	= $(BINDIR)
exec	= $(BINDIR)/$(fac)
#src	= $(fac).f90
obj 	= $(fac).o

MKDIR   = mkdir -p
OD :=$(BUILDDIR)/$(fac)
SD :=$(shell pwd)
OBJ:=$(obj:%=$(OD)/%)
LIB:=$(LIBDIR)/libhealpix$(LIBSUFFIX)

# executable creation
.DEFAULT_GOAL := all

all: $(OD)_mkdir $(exec)

$(exec): $(OBJ) $(LIB)
	$(FC) $(FFLAGS) -o $(exec) $(OBJ) $(LDFLAGS)

# create build sub-directory
%_mkdir:
	@if [ ! -d $* ]; then $(MKDIR) $* ; fi 

# objects creation
$(OD)/%.o: $(SD)/%.f90 $(inc)
	$(FC) $(FFLAGS) -c $< -o $@ $(MODDIR)$(OD)

=== src/f90/hotspot/Makefile ===
# -*- Makefile -*-

fac	= hotspot
inc     =
VPATH	= $(BINDIR)
exec	= $(BINDIR)/$(fac)
#src	= maxima_tools.f90 HotSpots.F90
obj 	= maxima_tools.o HotSpots.o

MKDIR   = mkdir -p
OD :=$(BUILDDIR)/$(fac)
SD :=$(shell pwd)
OBJ:=$(obj:%=$(OD)/%)
LIB:=$(LIBDIR)/libhealpix$(LIBSUFFIX)


%_mkdir:
	@if [ ! -d $* ]; then $(MKDIR) $* ; fi


$(OD)/%.o: $(SD)/%.f90 $(inc) $(OD)_mkdir
	$(FC) $(FFLAGS) -c $< -o $@ $(MODDIR)$(OD)

$(OD)/%.o: $(SD)/%.F90 $(inc) $(OD)_mkdir
	@echo compiling $(SD)/$*.F90
	@case $(OS) in \
	Darwin ) \
	ln -s -f $< $*.junk.F90; \
	$(FC) $(FFLAGS) $(PPFLAGS) -c $*.junk.F90 -o $@ $(MODDIR)$(OD) ; \
	rm $*.junk.F90;; \
	OSF ) \
	ln -s -f $< $*.f90; \
	$(FC) $(FFLAGS) -cpp       -c $(basename $<).f90 -o $@ $(MODDIR)$(OD) ;; \
	* ) \
	$(FC) $(FFLAGS) $(PPFLAGS) -c $< -o $@  $(MODDIR)$(OD);; \
	esac

default:  $(exec)

$(exec): $(OBJ) $(LIB)
	$(FC) $(FFLAGS) -o $(exec) $(OBJ) $(LDFLAGS)

# spell out dependencies to allow parallel compilation (make -j)
$(OD)/HotSpots.o: $(OD)/maxima_tools.o

=== src/f90/lib/Makefile ===
# -*- Makefile -*-

fac	= lib
inc     =
VPATH	= $(BINDIR)
#exec	= $(BINDIR)/$(fac)
#src	= $(fac).f90
modobj	= gifmod.o
gifobj	= gifout.o gifstr.o
libobj	= gd.o gdfontt.o gdfonts.o gdfontmb.o gdfontl.o gdfontg.o
obj 	= $(libobj) $(gifobj) $(modobj)

MKDIR   = mkdir -p
OD :=$(BUILDDIR)/$(fac)
SD :=$(shell pwd)
OBJ:=$(obj:%=$(OD)/%)
LIB:=$(LIBDIR)/libhpxgif$(LIBSUFFIX)

# add internal name of shared library
ifneq ($(strip $(FLAGNAMELIB)),)
NAMELIB = $(FLAGNAMELIB)$(notdir $(LIB))
else
NAMELIB =
endif

# library creation
.DEFAULT_GOAL := all

all: $(OD)_mkdir $(LIB)

$(LIB): $(OBJ)
	$(AR) $@ $(NAMELIB) $(OBJ)
	@cp -p $@ $(LIBDIR)/libgif$(LIBSUFFIX)
	@for p in $(OD)/*.$(MOD); do \
	cp $$p $(INCDIR)/; \
	done

# create build sub-directory
%_mkdir:
	@if [ ! -d $* ]; then $(MKDIR) $* ; fi


# objects creation
$(OD)/%.o: $(SD)/%.f90 $(inc)
	$(FC) $(FFLAGS) -c $< -o $@ $(MODDIR)$(OD)

$(OD)/%.o: $(SD)/%.c $(inc)
	$(CC) $(CFLAGS) -c $< -o $@

=== src/f90/map2gif/Makefile ===
# -*- Makefile -*-

fac	= map2gif
inc     = 
VPATH	= $(BINDIR)
exec	= $(BINDIR)/$(fac)
#src	= euler_matrix_new.f90 $(fac).f90
obj 	= euler_matrix_new.o   $(fac).o

MKDIR   = mkdir -p
OD :=$(BUILDDIR)/$(fac)
SD :=$(shell pwd)
OBJ:=$(obj:%=$(OD)/%)
LIB:=$(LIBDIR)/libhealpix$(LIBSUFFIX)


%_mkdir:
	@if [ ! -d $* ]; then $(MKDIR) $* ; fi 


$(OD)/%.o: $(SD)/%.f90 $(inc) $(OD)_mkdir
	$(FC) $(FFLAGS) -c $< -o $@ $(MODDIR)$(OD)

default:  $(exec) 

$(exec): $(OBJ) $(LIB)
	$(FC) $(FFLAGS) -o $(exec) $(OBJ) $(LDFLAGS)

=== src/f90/median_filter/Makefile ===
# -*- Makefile -*-

fac 	= median_filter
inc     = med_sub_inc.f90
VPATH	= $(BINDIR)
exec	= $(BINDIR)/$(fac)
#src	= $(fac).f90
obj 	= $(fac).o

MKDIR   = mkdir -p
OD :=$(BUILDDIR)/$(fac)
SD :=$(shell pwd)
OBJ:=$(obj:%=$(OD)/%)
LIB:=$(LIBDIR)/libhealpix$(LIBSUFFIX)


%_mkdir:
	@if [ ! -d $* ]; then $(MKDIR) $* ; fi 


$(OD)/%.o: $(SD)/%.f90 $(inc) $(OD)_mkdir
	$(FC) $(FFLAGS) -c $< -o $@ $(MODDIR)$(OD)

default:  $(exec) 

$(exec): $(OBJ) $(LIB)
	$(FC) $(FFLAGS) -o $(exec) $(OBJ) $(LDFLAGS)

=== src/f90/mod/Makefile ===
# -*- Makefile -*-


incalm  = alm_map_ss_inc.F90 alm_map_dd_inc.F90

incpix = convert_inplace_1d_inc.f90 \
	convert_inplace_nd_inc.f90 \
	convert_nest2ring_nd_inc.f90 \
	convert_nest2ring_1d_inc.f90 \
	convert_ring2nest_nd_inc.f90 \
	convert_ring2nest_1d_inc.f90 \
	remove_dipole_inc.f90 \
	apply_mask_inc.f90 \
	pixel_routines.F90

incfits = fits_s_inc.f90 fits_d_inc.f90

incudgrade = udgrade_s_inc.f90 udgrade_d_inc.f90

incnumrec = source_gen_sort_inc.f90

obj0  = healpix_types.o indmed.o utilities.o
obj1  = bit_manipulation.o extension.o long_intrinsic.o obsolete.o ran_tools_dist.o rngmod.o
obj2  = healpix_fft.o misc_utils.o
obj3  = head_fits.o num_rec.o statistics.o paramfile_io.o
#obj3  = head_fits.o num_rec.o statistics_stack.o paramfile_io.o
obj4  = pix_tools.o
obj5  = coord_v_convert.o fitstools.o udgrade_nr.o
obj6  = mask_tools.o alm_tools.o
obj7  = healpix_modules.o

obj   = sharp_healpix_f.o healpix_sharp_f90.o $(obj0) $(obj1) $(obj2) $(obj3) $(obj4) $(obj5) $(obj6) $(obj7)

fac = mod
MKDIR   = mkdir -p
OD :=$(BUILDDIR)/$(fac)
SD :=$(shell pwd)
OBJ:=$(obj:%=$(OD)/%)
LIB:=$(LIBDIR)/libhealpix$(LIBSUFFIX)

# add internal name of shared library
ifneq ($(strip $(FLAGNAMELIB)),)
NAMELIB = $(FLAGNAMELIB)$(notdir $(LIB))
else
NAMELIB =
endif

# library creation
.DEFAULT_GOAL := all

all: $(OD)_mkdir $(LIB)

$(LIB): $(OBJ) $(incpix) $(incalm) $(incfits) $(incudgrade)
	$(AR) $@ $(NAMELIB) $(OBJ)
	@for p in $(OD)/*.$(MOD); do \
	cp $$p $(INCDIR)/; \
	done

# create build sub-directory
%_mkdir:
	@if [ ! -d $* ]; then $(MKDIR) $* ; fi

# objects creation
$(obj1:%=$(OD)/%): $(obj0:%=$(OD)/%)
$(obj2:%=$(OD)/%): $(obj1:%=$(OD)/%)
$(obj3:%=$(OD)/%): $(obj2:%=$(OD)/%)
$(obj4:%=$(OD)/%): $(obj3:%=$(OD)/%)
$(obj5:%=$(OD)/%): $(obj4:%=$(OD)/%)
$(obj6:%=$(OD)/%): $(obj5:%=$(OD)/%)
$(obj7:%=$(OD)/%): $(obj6:%=$(OD)/%)

$(OD)/%.o: $(SD)/%.c
	$(CC) $(CFLAGS) -c $< -o $@

$(OD)/%.o: $(SD)/%.f90
	$(FC) $(FFLAGS) -c $< -o $@ $(MODDIR)$(OD)

$(OD)/%.o: $(SD)/%.F90
	@echo compiling $(SD)/$*.F90
	@case $(OS) in \
	Darwin ) \
	ln -s -f $< $*.junk.F90; \
	$(FC) $(FFLAGS) $(PPFLAGS) -c $*.junk.F90 -o $@ $(MODDIR)$(OD) ; \
	rm $*.junk.F90;; \
	OSF ) \
	ln -s -f $< $*.f90; \
	$(FC) $(FFLAGS) -cpp       -c $(basename $<).f90 -o $@ $(MODDIR)$(OD) ;; \
	* ) \
	$(FC) $(FFLAGS) $(PPFLAGS) -c $< -o $@  $(MODDIR)$(OD);; \
	esac

$(OD)/long_intrinsic.o: $(SD)/long_intrinsic.F90
	@echo compiling $(SD)/long_intrinsic.F90
	@case $(OS) in \
	Darwin ) \
	ln -s -f $< long_intrinsic.junk.F90; \
	$(FC) $(FFLAGS) $(PPFLAGS) $(FI8FLAG) -c long_intrinsic.junk.F90 -o $@ $(MODDIR)$(OD); \
	rm long_intrinsic.junk.F90;; \
	OSF ) \
	ln -s -f $< long_intrinsic.f90; \
	$(FC) $(FFLAGS) -cpp $(FI8FLAG) -c $(basename $<).f90 -o $@ $(MODDIR)$(OD) ;; \
	* ) \
	$(FC) $(FFLAGS) $(PPFLAGS) $(FI8FLAG) -c $< -o $@ $(MODDIR)$(OD) ;; \
	esac

$(OD)/pix_tools.o:pix_tools.F90  $(incpix)

$(OD)/alm_tools.o:alm_tools.F90  $(incalm)

$(OD)/fitstools.o: fitstools.F90 $(incfits)

$(OD)/udgrade_nr.o: udgrade_nr.f90 $(incudgrade)

$(OD)/num_rec.o: num_rec.F90 $(incnumrec)

$(OD)/mask_tools.o: mask_tools.F90


# source generation
alm_map_ss_inc.F90: alm_map_template.F90 gen_alm_code
	@./gen_alm_code

alm_map_dd_inc.F90: alm_map_template.F90 gen_alm_code alm_map_ss_inc.F90
	@./gen_alm_code

fits_s_inc.f90: fits_template.f90 gen_fits_code
	@./gen_fits_code

fits_d_inc.f90: fits_template.f90 gen_fits_code fits_s_inc.f90
	@./gen_fits_code

udgrade_s_inc.f90: udgrade_template.f90 gen_udgrade_code
	@./gen_udgrade_code

udgrade_d_inc.f90: udgrade_template.f90 gen_udgrade_code udgrade_s_inc.f90
	@./gen_udgrade_code

=== src/f90/ngsims_full_sky/Makefile ===
# -*- Makefile -*-

fac1    = sky_ng_sim
fac2    = sky_ng_sim_bin
inc     =
VPATH	= $(BINDIR)
exec1	= $(BINDIR)/$(fac1)
exec2	= $(BINDIR)/$(fac2)
subs    = sky_sub.o  sub_ngpdf_powergauss.o  sub_ngpdf_sho.o
obj1 	= $(subs)  sky_ng_sim.o
obj2 	= $(subs)  sky_ng_sim_bin.o

MKDIR   = mkdir -p
OD :=$(BUILDDIR)/$(fac1)
SD :=$(shell pwd)
OBJ1:=$(obj1:%=$(OD)/%)
OBJ2:=$(obj2:%=$(OD)/%)
SUBS:=$(subs:%=$(OD)/%)
LIB:=$(LIBDIR)/libhealpix$(LIBSUFFIX)


%_mkdir:
	@if [ ! -d $* ]; then $(MKDIR) $* ; fi


$(OD)/%.o: $(SD)/%.f90 $(inc) $(OD)_mkdir
	$(FC) $(FFLAGS) -c $< -o $@ $(MODDIR)$(OD)

$(OD)/%.o: $(SD)/%.F90 $(inc) $(OD)_mkdir
	@echo compiling $(SD)/$*.F90
	@case $(OS) in \
	Darwin ) \
	ln -s -f $< $*.junk.F90; \
	$(FC) $(FFLAGS) $(PPFLAGS) -c $*.junk.F90 -o $@ $(MODDIR)$(OD) ; \
	rm $*.junk.F90;; \
	OSF ) \
	ln -s -f $< $*.f90; \
	$(FC) $(FFLAGS) -cpp       -c $(basename $<).f90 -o $@ $(MODDIR)$(OD) ;; \
	* ) \
	$(FC) $(FFLAGS) $(PPFLAGS) -c $< -o $@  $(MODDIR)$(OD);; \
	esac

default: $(exec1) $(exec2)

$(exec1): $(OBJ1) $(LIB)
	$(FC)  $(FFLAGS) -o $(exec1) $(OBJ1) $(PGLIBS) $(LDFLAGS)

$(exec2): $(OBJ2) $(LIB)
	$(FC)  $(FFLAGS) -o $(exec2) $(OBJ2) $(PGLIBS) $(LDFLAGS)

# spell out dependencies to allow parallel compilation (make -j)
$(OD)/sub_ngpdf_powergauss.o: $(OD)/sky_sub.o

$(OD)/sub_ngpdf_sho.o:        $(OD)/sky_sub.o

$(OD)/sky_ng_sim.o:           $(SUBS)

$(OD)/sky_ng_sim_bin.o:       $(SUBS)

=== src/f90/plmgen/Makefile ===
# -*- Makefile -*-

fac     = plmgen
inc     = 
VPATH	= $(BINDIR)
exec	= $(BINDIR)/$(fac)
#src	= $(fac).f90
obj 	= $(fac).o

MKDIR   = mkdir -p
OD :=$(BUILDDIR)/$(fac)
SD :=$(shell pwd)
OBJ:=$(obj:%=$(OD)/%)
LIB:=$(LIBDIR)/libhealpix$(LIBSUFFIX)


%_mkdir:
	@if [ ! -d $* ]; then $(MKDIR) $* ; fi 


$(OD)/%.o: $(SD)/%.f90 $(inc) $(OD)_mkdir
	$(FC) $(FFLAGS) -c $< -o $@ $(MODDIR)$(OD)

default:  $(exec) 

$(exec): $(OBJ) $(LIB)
	$(FC) $(FFLAGS) -o $(exec) $(OBJ) $(LDFLAGS)

=== src/f90/process_mask/Makefile ===
# -*- Makefile -*-

fac	= process_mask
inc     =
VPATH	= $(BINDIR)
exec	= $(BINDIR)/$(fac)
#src	= $(fac).f90
obj 	= $(fac).o

MKDIR   = mkdir -p
OD :=$(BUILDDIR)/$(fac)
SD :=$(shell pwd)
OBJ:=$(obj:%=$(OD)/%)
LIB:=$(LIBDIR)/libhealpix$(LIBSUFFIX)


%_mkdir:
	@if [ ! -d $* ]; then $(MKDIR) $* ; fi


$(OD)/%.o: $(SD)/%.f90 $(inc) $(OD)_mkdir
	$(FC) $(FFLAGS) -c $< -o $@ $(MODDIR)$(OD)

$(OD)/%.o: $(SD)/%.F90 $(inc) $(OD)_mkdir
	@echo compiling $(SD)/$*.F90
	@case $(OS) in \
	Darwin ) \
	ln -s -f $< $*.junk.F90; \
	$(FC) $(FFLAGS) $(PPFLAGS) -c $*.junk.F90 -o $@ $(MODDIR)$(OD) ; \
	rm $*.junk.F90;; \
	OSF ) \
	ln -s -f $< $*.f90; \
	$(FC) $(FFLAGS) -cpp       -c $(basename $<).f90 -o $@ $(MODDIR)$(OD) ;; \
	* ) \
	$(FC) $(FFLAGS) $(PPFLAGS) -c $< -o $@  $(MODDIR)$(OD);; \
	esac

default:  $(exec)

$(exec): $(OBJ) $(LIB)
	$(FC) $(FFLAGS) -o $(exec) $(OBJ) $(LDFLAGS)

=== src/f90/smoothing/Makefile ===
# -*- Makefile -*-

fac     = smoothing
inc 	= smo_sub_inc.f90
VPATH	= $(BINDIR)
exec	= $(BINDIR)/$(fac)
#src	= $(fac).f90
obj 	= $(fac).o

MKDIR   = mkdir -p
OD :=$(BUILDDIR)/$(fac)
SD :=$(shell pwd)
OBJ:=$(obj:%=$(OD)/%)
LIB:=$(LIBDIR)/libhealpix$(LIBSUFFIX)


%_mkdir:
	@if [ ! -d $* ]; then $(MKDIR) $* ; fi 

$(OD)/%.o: $(SD)/%.f90 $(inc) $(OD)_mkdir
	$(FC) $(FFLAGS) -c $< -o $@ $(MODDIR)$(OD)

default:  $(exec) 

$(exec): $(OBJ) $(LIB)
	$(FC) $(FFLAGS) -o $(exec) $(OBJ) $(LDFLAGS)

=== src/f90/synfast/Makefile ===
# -*- Makefile -*-

fac     = synfast
inc     = syn_sub_inc.f90
VPATH	= $(BINDIR)
exec	= $(BINDIR)/$(fac)
#src	= $(fac).f90
obj 	= $(fac).o

MKDIR   = mkdir -p
OD :=$(BUILDDIR)/$(fac)
SD :=$(shell pwd)
OBJ:=$(obj:%=$(OD)/%)
LIB:=$(LIBDIR)/libhealpix$(LIBSUFFIX)

# executable creation
.DEFAULT_GOAL := all

all: $(OD)_mkdir $(exec)

$(exec): $(OBJ) $(LIB)
	$(FC) $(FFLAGS) -o $(exec) $(OBJ) $(LDFLAGS)

# create build sub-directory
%_mkdir:
	@if [ ! -d $* ]; then $(MKDIR) $* ; fi 

# objects creation
$(OD)/%.o: $(SD)/%.f90 $(inc)
	$(FC) $(FFLAGS) -c $< -o $@ $(MODDIR)$(OD)

=== debian/control ===
Source: healpix-fortran
Priority: optional
Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Leo Singer <leo.singer@ligo.org>
Homepage: http://healpix.sourceforge.net
Build-Depends:
 debhelper-compat (= 12),
 dh-fortran-mod,
 gfortran,
 libcfitsio-dev,
 libsharp-dev
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/debian-astro-team/healpix-fortran.git
Vcs-Browser: https://salsa.debian.org/debian-astro-team/healpix-fortran
Section: libs

Package: libhealpix-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libhealpix0 (= ${binary:Version})
Description: HEALPix representation of spherical data - Fortran development library
 HEALPix is an acronym for Hierarchical Equal Area isoLatitude Pixelization
 of a sphere. As suggested in the name, this pixelization produces a
 subdivision of a spherical surface in which each pixel covers the same
 surface area as every other pixel. It is commonly used to store all-sky
 astronomical images, most famously maps of the cosmic microwave background.
 .
 This package provides .mod files for the Fortran language implementation of
 HEALPix.

Package: libhealpix0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: HEALPix representation of spherical data - Fortran library
 HEALPix is an acronym for Hierarchical Equal Area isoLatitude Pixelization
 of a sphere. As suggested in the name, this pixelization produces a
 subdivision of a spherical surface in which each pixel covers the same
 surface area as every other pixel. It is commonly used to store all-sky
 astronomical images, most famously maps of the cosmic microwave background.
 .
 This package provides the Fortran language implementation of HEALPix.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --without autoreconf --with fortran_mod

debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/healpix.pc:
	mkdir -p $(@D) && \
	echo "prefix=/usr" > $@ && \
	echo "exec_prefix=\$${prefix}" >> $@ && \
	echo "libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)" >> $@ && \
	echo "includedir=\$${prefix}/include" >> $@ && \
	echo >> $@ && \
	echo "Name: HEALPix" >> $@ && \
	echo "Description: Fortran library for HEALPix (Hierarchical Equal-Area iso-Latitude) pixelisation of the sphere" >> $@ && \
	echo "Version: $(shell echo $(DEB_VERSION_EPOCH_UPSTREAM) | sed 's/+.*//')" >> $@ && \
	echo "URL: https://healpix.sourceforge.io" >> $@ && \
	echo "Libs: -L\$${libdir} -lhealpix -lsharp -lcfitsio" >> $@ && \
	echo "Cflags: -I\$${includedir}" >> $@

override_dh_auto_install: debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/healpix.pc
	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/fortran && \
	$(MAKE) -C src/f90/mod \
		OS=Linux \
		BUILDDIR=$(CURDIR)/src/f90 \
		LIBDIR=$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) \
		INCDIR=$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/fortran \
		FC=f95 \
		AR="f95 -fPIC -shared -fopenmp -Wl,-soname,libhealpix.so.0 -o " \
		FFLAGS="-O3 -fPIC -fopenmp" \
		LIBSUFFIX=".so.0.0.0" \
		MOD="mod" \
	&& ln -rs debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libhealpix.so.0.0.0 debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libhealpix.so.0 \
	&& ln -rs debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libhealpix.so.0.0.0 debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libhealpix.so
